> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/guides/deployment/aws-in-vpc/run-first-query.md).

# Run first query

Validate an In-VPC e6data install by verifying the cluster and workspace components, then running your first query.

Validate the install in two passes: confirm the Kubernetes components are healthy, then run a query.

## Verify cluster components

```bash
echo "=== Cluster Components ==="

# Karpenter
kubectl get pods -n kube-system -l app.kubernetes.io/name=karpenter

# ALB Controller
kubectl get pods -n kube-system -l app.kubernetes.io/name=aws-load-balancer-controller

# cert-manager
kubectl get pods -n cert-manager

# e6-operator
kubectl get pods -n e6operator

# NodePools and EC2NodeClasses
kubectl get nodepools.karpenter.sh
kubectl get ec2nodeclasses.karpenter.k8s.aws
```

## Verify workspace components

```bash
echo "=== Workspace Components (${WORKSPACE_NAME}) ==="

kubectl get pods -n ${NAMESPACE}
kubectl get namespaceconfig -n ${NAMESPACE} -o wide
kubectl get queryrouter -n ${NAMESPACE} -o wide
kubectl get monitoringservices -n ${NAMESPACE} -o wide
kubectl get svc -n ${NAMESPACE}

# Pod Identity associations
aws eks list-pod-identity-associations \
  --cluster-name ${CLUSTER_NAME}-eks --namespace ${NAMESPACE} --region ${REGION} \
  --query 'associations[].{SA:serviceAccount,Role:roleArn}' --output table
```

A healthy deployment shows the `console`, `envoy`, `xds-control-plane`, and `o11y-collector` pods `Running`, and the `*-qr-envoy-external` service with an external LoadBalancer address.

## Run a query

1. Open the workspace's SQL Editor at your configured hostname.
2. Select your cluster and a catalog.
3. Run a simple query against a table you can see:

```sql
SELECT * FROM your_catalog.your_schema.your_table LIMIT 10;
```

If results return, your AWS In-VPC deployment is working end to end.

## If something fails

See [Troubleshooting](/query-engine/guides/deployment/aws-in-vpc/troubleshooting.md) for pods stuck pending, image pull errors, operator and reconciliation issues, Pod Identity problems, LoadBalancer provisioning, and monitoring.

## Next

* [Component versions and operations](/query-engine/guides/deployment/aws-in-vpc/component-versions-and-operations.md) - ongoing operations and the workloads reference.
* [Query editor](/query-engine/guides/querying/query-editor.md) - write and run queries.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/guides/deployment/aws-in-vpc/run-first-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
